Go to the latest version of this document.

# ``twisted`.`internet`.`utils`.`_UnexpectedErrorOutput``

exception documentation

`class _UnexpectedErrorOutput(IOError): (source)`

Constructor: `_UnexpectedErrorOutput(text, processEnded)`

View In Hierarchy

Standard error data was received where it was not expected. This is a subclass of `IOError` to preserve backward compatibility with the previous error behavior of `getProcessOutput`.

Method | `__init__` | Undocumented
Instance Variable | `processEnded` | A `Deferred` which will fire when the process which produced the data on stderr has ended (exited and all file descriptors closed).

def __init__(self, text, processEnded): (source)

Undocumented

processEnded = (source)

A `Deferred` which will fire when the process which produced the data on stderr has ended (exited and all file descriptors closed).